C3DValueAttribute< T > Class Template Reference
Basic data strctures and functions

a 3D vector value used in attributes More...

`#include <mia/3d/valueattributetranslator.hh>`

Inheritance diagram for C3DValueAttribute< T >:
[legend]
Collaboration diagram for C3DValueAttribute< T >:
[legend]

## Public Member Functions

| C3DValueAttribute (const T3DVector< T > &value)
| operator T3DVector< T > () const
int | type_id () const
const char * | typedescr () const
Public Member Functions inherited from CAttribute
std::string | as_string () const
| returns the value as a atring
bool | is_equal (const CAttribute &other) const
bool | is_less (const CAttribute &other) const
virtual | ~CAttribute ()
| virtual destructor since derived classes may define dynamic objetcs

## Detailed Description

template<typename T>
class C3DValueAttribute< T >

a 3D vector value used in attributes

This class is a hack to work around the vista voxel size stringyfied value. Normaly one would write "x,y,z" but in vista it is "x y z", which means a different translator is needed as compared to a T3DVector. For everything else the T3DVector interpretation is used (based on type_id);

Template Parameters

  T | the data type of the vector elements

Definition at line 55 of file valueattributetranslator.hh.

## Constructor & Destructor Documentation

## C3DValueAttribute()

template<typename T>

C3DValueAttribute< T >::C3DValueAttribute | ( | const T3DVector< T > & | value | ) |

Constructor to initialize the attribute by using a 3D Vector value

Parameters

  value |

## Member Function Documentation

## operator T3DVector< T >()

template<typename T>

C3DValueAttribute< T >::operator T3DVector< T > | ( |  | ) | const

Returns
  the value of the attribute as 3D vector

## type_id()

template<typename T>

int C3DValueAttribute< T >::type_id | ( |  | ) | const

inline virtual

Returns
  a type is

Implements CAttribute.

Definition at line 78 of file valueattributetranslator.hh.

## typedescr()

template<typename T>

const char * C3DValueAttribute< T >::typedescr | ( |  | ) | const

inline virtual

Obtain a run-time unique type description of the value type

Returns
  the typeid of the T3DVector<T>

Implements CAttribute.

Definition at line 72 of file valueattributetranslator.hh.

The documentation for this class was generated from the following file:

- valueattributetranslator.hh